/*
Ejercicio Administrar directorios y archivos
Programa que verifique el nombre de usuario, en caso de que la longitud del nombre sea mayor a 5 el servidor verificara si dentro del directorio del proyecto existe una carpeta llamada ‘MisArchivos’, si no existe la va a crear y dentro de ella copiara el archivo package.json del proyecto principal. (recuerden que primero tienen que verificar que no exista ya el archivo, en caso de que ya exista se llamara ‘package2.json’).

Por ultimo van a verificar cuantos archivos tienen en el directorio y si tienen mas de 3 archivos eliminaran el package.json (metodo unlink)
*/
const os = require('os');
const fs = require('fs');

const user = os.userInfo().username;

if (user) {
    if (user.length > 5) {
        if (fs.exists('./misarchivos', (res) => {
                if (res) {
                    console.log('Archivo Existente');

                } else {
                    console.log(`Tu nombre pasa de cinco letras ${user}, se creara una carpeta`);
                    fs.mkdir('MisArchivos', (err) => {
                        if (err) throw err;
                        console.log('Carpeta MisArchivos Creada');
                    });
                }
                if (fs.exists('./MisArchivos/package.json', (res) => {
                        if (!res) {
                            fs.copyFile('./package.json', 'MisArchivos/package.json', (err) => {
                                if (err) throw err;
                            });
                        } else {
                            fs.copyFile('./package.json', 'MisArchivos/package2.json', (err) => {
                                if (err) throw err;
                            })
                        }
                    }));
                fs.readdir('./', (err, files) => {
                    if (err) throw err;
                    if (files.length > 3) {
                        fs.unlink('./package.json', (err) => {
                            if (err) return;
                            console.log('Archivo eliminado');
                        });
                    }
                });
            }));
    }
}else{
    console.log(`Bienvenido ${user}`);

}